#
# spec file for package yast2-network (Version 2.19.18)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-network
Version:        2.19.18
Release:        1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-network-2.19.18.tar.bz2

Prefix:         /usr

Group:          System/YaST
License:        GPLv2+
# should be required by devtools
BuildRequires:  perl-XML-Writer pkgconfig rpm
BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools yast2-testsuite
BuildRequires:  yast2-country
BuildRequires:  yast2-installation >= 2.15.27

# NetworkStorage: adapt functions needed for iBFT (bnc#551380)
BuildRequires:  yast2 >= 2.19.3
Requires:       yast2 >= 2.19.3
#netconfig (FaTE #303618)
Requires:       sysconfig >= 0.71.2
#GetLanguageCountry
#(in newly created yast2-country-data)
Requires:       yast2-country-data >= 2.16.3

PreReq:         /bin/rm

Provides:       y2c_lan y2c_dial yast2-config-adsl y2c_adsl
Obsoletes:      y2c_lan y2c_dial yast2-config-adsl y2c_adsl
Provides:       yast2-lib-network yast2-config-network
Obsoletes:      yast2-lib-network yast2-config-network
Provides:       yast2-trans-network yast2-trans-adsl
Obsoletes:      yast2-trans-network yast2-trans-adsl
Provides:       y2t_lan y2t_adsl y2t_dial
Obsoletes:      y2t_lan y2t_adsl y2t_dial

# carrier detection
Conflicts:      yast2-core < 2.10.6

Summary:        YaST2 - Network Configuration

%package devel-doc
License:        GPLv2+
Group:          System/YaST
Summary:        YaST2 - Developer documentation for yast2-network

%description 
This package contains the YaST2 component for network configuration.

%description devel-doc
This package contains autogenerated documentation for yast2-network

%prep
%setup -n yast2-network-2.19.18

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%ifarch s390 s390x
/bin/rm -f $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/dsl.desktop
/bin/rm -f $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/isdn.desktop
/bin/rm -f $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/modem.desktop
%endif
/bin/rm -f $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/network.desktop
/bin/rm -f $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/provider.desktop

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -p /bin/bash
# This fixes the files that were touched when #24842 was in effect.
# #42990: shut up when no wlan files are there.
shopt -s nullglob
files=`echo /etc/sysconfig/network/ifcfg-wlan*`
if [ -n "$files" ]; then
    /bin/chown root:root $files
    /bin/chmod 0600 $files
fi

%files
%defattr(-,root,root)
%{prefix}/lib/YaST2/bin/*
/usr/share/YaST2/data/*
/usr/share/YaST2/include/network
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/modules/YaPI/NETWORK.pm
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/modules/*.ybc
%{prefix}/share/applications/YaST2/*.desktop
/usr/share/YaST2/scrconf/*.scr
/usr/lib/YaST2/servers_non_y2/ag_udev_persistent
/usr/share/YaST2/schema/autoyast/rnc/networking.rnc
/usr/share/YaST2/schema/autoyast/rnc/host.rnc
/usr/share/YaST2/schema/autoyast/rnc/proxy.rnc

%dir %{prefix}/share/doc/packages/yast2-network
%{prefix}/share/doc/packages/yast2-network/COPYING
%readme %{prefix}/share/doc/packages/yast2-network/README

%files devel-doc
%defattr(-,root,root)
%doc %{prefix}/share/doc/packages/yast2-network
%exclude %{prefix}/share/doc/packages/yast2-network/COPYING
%exclude %{prefix}/share/doc/packages/yast2-network/README
%changelog
